<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMRFODETYPEEditViewBase from './emrfodetypeedit-view-base.vue';

import view_form from '@widgets/emrfodetype/main2-form/main2-form.vue';

/**
 * 现象分类
 *
 * @export
 * @class EMRFODETYPEEditView
 * @extends {EMRFODETYPEEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMRFODETYPEEditView extends EMRFODETYPEEditViewBase { }
</script>